/*   
    (C) 2009 Vadim Peretokin
    
    (C) 2007, 2008 Gianni Moschini

    This file is part of GiftWrap.

    GiftWrap is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    GiftWrap is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with GiftWrap.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __DONE_H__
#define __DONE_H__

#include "def.h"

void show_last_page(struct _allwidgets *widg, gboolean done);

void clear_commandtimer(struct _allwidgets *widg);

gboolean movecontrol_done(gpointer data);

gboolean dhmake_done(gpointer data);

gchar *call_custom_dhmake(struct _allwidgets *widg);

gchar *check_debianfiles(struct _allwidgets *widg, const gchar * files);

gboolean debpackage_exists(struct _allwidgets *widg, const gchar * output);

void set_deb_entry(struct _allwidgets *widg, gchar * debname);

gboolean check_package_file(struct _allwidgets *widg);

void show_error_view(struct _allwidgets *widg, const gchar * content);

void show_build_log(struct _allwidgets *widg);

gboolean package_done(gpointer data);

#endif
