/*   
    (C) 2009 Vadim Peretokin
    
    (C) 2007, 2008 Gianni Moschini

    This file is part of GiftWrap.

    GiftWrap is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    GiftWrap is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with GiftWrap.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __ACTION_H__
#define __ACTION_H__

#include "def.h"

gchar *gettext_fromtextview_list(struct _allwidgets *widg);

gpointer getoutput_from_listing(gpointer data);

gpointer action_do(gpointer data);

gchar *get_extract_command(struct _allwidgets *widg, gchar * from, const gchar * to);

gchar *copy_from_to(struct _allwidgets *widg, gchar * from, const gchar * to);

#endif
